Delete or cancel conversation
curl --request DELETE \
--url https://api.coval.dev/v1/conversations/{conversation_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coval.dev/v1/conversations/{conversation_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coval.dev/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"name": "conversations/gk3jK9mPq2xRt5vW8yZaBc",
"conversation_id": "gk3jK9mPq2xRt5vW8yZaBc",
"status": "DELETED",
"create_time": "2025-11-03T14:32:30Z"
}
}Conversations
Delete or cancel conversation
Delete or cancel a conversation evaluation.
DELETE
/
conversations
/
{conversation_id}
Delete or cancel conversation
Authorizations
API key for authentication.
Path Parameters
Unique conversation identifier
Required string length:
22 - 26Response
Conversation deleted or cancelled successfully
Conversation resource with updated status.
Status will be either CANCELLED or DELETED depending on original status.
Show child attributes
Show child attributes
Was this page helpful?
⌘I